import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungInputKurs extends JavaObject {
    enmRevision: number;
    id: number;
    fach: number;
    kursart: number;
    schienen: number;
    representation: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungInputKurs;
    static transpilerToJSON(obj: KursblockungInputKurs): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungInputKurs>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungInputKurs(obj: unknown): KursblockungInputKurs;
